MonoMac 0.0.0.0 System.ValueType System.IEquatable<MonoMac.OpenGL.Vector3d> Represents a 3D vector using three double-precision floating-point numbers. To be added.
- Constructor
  0.0.0.0
  The Vector2d to copy components from.
  Constructs a new instance from the given Vector2d.
  To be added.
- Constructor
  0.0.0.0
  The Vector3d to copy components from.
  Constructs a new instance from the given Vector3d.
  To be added.
- Constructor
  0.0.0.0
  The Vector4d to copy components from.
  Constructs a new instance from the given Vector4d.
  To be added.
- Constructor
  0.0.0.0
  The value that will initialize this instance.
  Constructs a new instance.
  To be added.
- Constructor
  0.0.0.0
  The x component of the Vector3.
  The y component of the Vector3.
  The z component of the Vector3.
  Constructs a new Vector3.
  To be added.
- Method
  0.0.0.0
  System.Obsolete("Use static Add() method instead.")
  System.Void `` Right operand. This parameter is only read from. Add the Vector passed as parameter to this instance. To be added.
- Method
  0.0.0.0
  System.CLSCompliant(false)
  System.Obsolete("Use static Add() method instead.")
  System.Void `` Right operand. This parameter is only read from. Add the Vector passed as parameter to this instance. To be added.
- Method
  0.0.0.0
  MonoMac.OpenGL.Vector3d `` `` Left operand. Right operand. Adds two vectors. Result of operation. To be added.
- Method
  0.0.0.0
  System.Void `` `` `` Left operand. Right operand. Result of operation. Adds two vectors. To be added.
- Method
  0.0.0.0
  MonoMac.OpenGL.Vector3d `` `` `` `` `` First input Vector Second input Vector Third input Vector First Barycentric Coordinate Second Barycentric Coordinate Interpolate 3 Vectors using Barycentric coordinates a when u=v=0, b when u=1,v=0, c when u=0,v=1, and a linear combination of a,b,c otherwise To be added.
- Method
  0.0.0.0
  System.Void `` `` `` `` `` `` First input Vector. Second input Vector. Third input Vector. First Barycentric Coordinate. Second Barycentric Coordinate. Output Vector. a when u=v=0, b when u=1,v=0, c when u=0,v=1, and a linear combination of a,b,c otherwise Interpolate 3 Vectors using Barycentric coordinates To be added.
- Method
  0.0.0.0
  System.Double `` `` The first vector. The second vector. Calculates the angle (in radians) between two vectors. Angle (in radians) between the vectors. Note that the returned angle is never bigger than the constant Pi.
- Method
  0.0.0.0
  System.Void `` `` `` The first vector. The second vector. Angle (in radians) between the vectors. Calculates the angle (in radians) between two vectors. Note that the returned angle is never bigger than the constant Pi.
- Method
  0.0.0.0
  MonoMac.OpenGL.Vector3d `` `` `` Input vector Minimum vector Maximum vector Clamp a vector to the given minimum and maximum vectors The clamped vector To be added.
- Method
  0.0.0.0
  System.Void `` `` `` `` Input vector Minimum vector Maximum vector The clamped vector Clamp a vector to the given minimum and maximum vectors To be added.
- Method
  0.0.0.0
  MonoMac.OpenGL.Vector3d `` `` First operand Second operand Calculate the component-wise maximum of two vectors The component-wise maximum To be added.
- Method
  0.0.0.0
  System.Void `` `` `` First operand Second operand The component-wise maximum Calculate the component-wise maximum of two vectors To be added.
- Method
  0.0.0.0
  MonoMac.OpenGL.Vector3d `` `` First operand Second operand Calculate the component-wise minimum of two vectors The component-wise minimum To be added.
- Method
  0.0.0.0
  System.Void `` `` `` First operand Second operand The component-wise minimum Calculate the component-wise minimum of two vectors To be added.
- Method
  0.0.0.0
  MonoMac.OpenGL.Vector3d `` `` First operand Second operand Caclulate the cross (vector) product of two vectors The cross product of the two inputs To be added.
- Method
  0.0.0.0
  System.Void `` `` `` First operand Second operand The cross product of the two inputs Caclulate the cross (vector) product of two vectors To be added.
- Method
  0.0.0.0
  System.Obsolete("Use static Divide() method instead.")
  System.Void `` Scalar operand. Divide this instance by a scalar. To be added.
- Method
  0.0.0.0
  System.Obsolete("Use static Divide() method instead.")
  MonoMac.OpenGL.Vector3d `` `` Vector operand Scalar operand Divide a vector by a scalar Result of the division To be added.
- Method
  0.0.0.0
  System.Obsolete("Use static Divide() method instead.")
  System.Void `` `` `` Vector operand Scalar operand Result of the division Divide a vector by a scalar To be added.
- Method
  0.0.0.0
  MonoMac.OpenGL.Vector3d `` `` Left operand. Right operand. Divides a vector by the components of a vector (scale). Result of the operation. To be added.
- Method
  0.0.0.0
  MonoMac.OpenGL.Vector3d `` `` Left operand. Right operand. Divides a vector by a scalar. Result of the operation. To be added.
- Method
  0.0.0.0
  System.Void `` `` `` Left operand. Right operand. Result of the operation. Divide a vector by the components of a vector (scale). To be added.
- Method
  0.0.0.0
  System.Void `` `` `` Left operand. Right operand. Result of the operation. Divides a vector by a scalar. To be added.
- Method
  0.0.0.0
  System.Double `` `` First operand Second operand Calculate the dot (scalar) product of two vectors The dot product of the two inputs To be added.
- Method
  0.0.0.0
  System.Void `` `` `` First operand Second operand The dot product of the two inputs Calculate the dot (scalar) product of two vectors To be added.
- Method
  0.0.0.0
  System.Boolean `` A vector to compare with this vector. Indicates whether the current vector is equal to another vector. true if the current vector is equal to the vector parameter; otherwise, false. To be added.
- Method
  0.0.0.0
  System.Boolean `` The object to compare to. Indicates whether this instance and a specified object are equal. True if the instances are equal; false otherwise. To be added.
- Method
  0.0.0.0
  System.Int32 Returns the hashcode for this instance. A System.Int32 containing the unique hashcode for this instance. To be added.
- Property
  0.0.0.0
  System.Double Gets the length (magnitude) of the vector. To be added. To be added.
- Property
  0.0.0.0
  System.Double Gets an approximation of the vector length (magnitude). To be added. This property uses an approximation of the square root function to calculate vector magnitude, with an upper error bound of 0.001.
- Property
  0.0.0.0
  System.Double Gets the square of the vector length (magnitude). To be added. This property avoids the costly square root operation required by the Length property. This makes it more suitable for comparisons.
- Method
  0.0.0.0
  MonoMac.OpenGL.Vector3d `` `` `` First input vector Second input vector The blend factor. a when blend=0, b when blend=1. Returns a new Vector that is the linear blend of the 2 given Vectors a when blend=0, b when blend=1, and a linear combination otherwise To be added.
- Method
  0.0.0.0
  System.Void `` `` `` `` First input vector Second input vector The blend factor. a when blend=0, b when blend=1. a when blend=0, b when blend=1, and a linear combination otherwise Returns a new Vector that is the linear blend of the 2 given Vectors To be added.
- Method
  0.0.0.0
  MonoMac.OpenGL.Vector3d `` `` Left operand Right operand Returns the Vector3d with the minimum magnitude The minimum Vector3 To be added.
- Method
  0.0.0.0
  MonoMac.OpenGL.Vector3d `` `` Left operand Right operand Returns the Vector3d with the minimum magnitude The minimum Vector3 To be added.
- Method
  0.0.0.0
  System.Obsolete("Use static Multiply() method instead.")
  System.Void `` Scalar operand. Multiply this instance by a scalar. To be added.
- Method
  0.0.0.0
  System.Obsolete("Use static Multiply() method instead.")
  MonoMac.OpenGL.Vector3d `` `` Vector operand Scalar operand Multiply a vector and a scalar Result of the multiplication To be added.
- Method
  0.0.0.0
  System.Obsolete("Use static Multiply() method instead.")
  System.Void `` `` `` Vector operand Scalar operand Result of the multiplication Multiply a vector and a scalar To be added.
- Method
  0.0.0.0
  MonoMac.OpenGL.Vector3d `` `` Left operand. Right operand. Multiplies a vector by the components a vector (scale). Result of the operation. To be added.
- Method
  0.0.0.0
  MonoMac.OpenGL.Vector3d `` `` Left operand. Right operand. Multiplies a vector by a scalar. Result of the operation. To be added.
- Method
  0.0.0.0
  System.Void `` `` `` Left operand. Right operand. Result of the operation. Multiplies a vector by the components of a vector (scale). To be added.
- Method
  0.0.0.0
  System.Void `` `` `` Left operand. Right operand. Result of the operation. Multiplies a vector by a scalar. To be added.
- Method
  0.0.0.0
  System.Void Scales the Vector3d to unit length. To be added.
- Method
  0.0.0.0
  MonoMac.OpenGL.Vector3d `` The input vector Scale a vector to unit length The normalized vector To be added.
- Method
  0.0.0.0
  System.Void `` `` The input vector The normalized vector Scale a vector to unit length To be added.
- Method
  0.0.0.0
  System.Void Scales the Vector3d to approximately unit length. To be added.
- Method
  0.0.0.0
  MonoMac.OpenGL.Vector3d `` The input vector Scale a vector to approximately unit length The normalized vector To be added.
- Method
  0.0.0.0
  System.Void `` `` The input vector The normalized vector Scale a vector to approximately unit length To be added.
- Field
  0.0.0.0
  MonoMac.OpenGL.Vector3d Defines an instance with all components set to 1. To be added.
- Method
  0.0.0.0
  MonoMac.OpenGL.Vector3d `` `` The first instance. The second instance. Adds two instances. The result of the calculation. To be added.
- Method
  0.0.0.0
  MonoMac.OpenGL.Vector3d `` `` The instance. The scalar. Divides an instance by a scalar. The result of the calculation. To be added.
- Method
  0.0.0.0
  System.Boolean `` `` The first instance. The second instance. Compares two instances for equality. True, if left equals right; false otherwise. To be added.
- Method
  0.0.0.0
  MonoMac.OpenGL.Vector3d `` The Vector3 to convert. Converts OpenTK.Vector3 to OpenTK.Vector3d. The resulting Vector3d. To be added.
- Method
  0.0.0.0
  MonoMac.OpenGL.Vector3 `` The Vector3d to convert. Converts OpenTK.Vector3d to OpenTK.Vector3. The resulting Vector3. To be added.
- Method
  0.0.0.0
  System.Boolean `` `` The first instance. The second instance. Compares two instances for inequality. True, if left does not equa lright; false otherwise. To be added.
- Method
  0.0.0.0
  MonoMac.OpenGL.Vector3d `` `` The instance. The scalar. Multiplies an instance by a scalar. The result of the calculation. To be added.
- Method
  0.0.0.0
  MonoMac.OpenGL.Vector3d `` `` The scalar. The instance. Multiplies an instance by a scalar. The result of the calculation. To be added.
- Method
  0.0.0.0
  MonoMac.OpenGL.Vector3d `` `` The first instance. The second instance. Subtracts two instances. The result of the calculation. To be added.
- Method
  0.0.0.0
  MonoMac.OpenGL.Vector3d `` The instance. Negates an instance. The result of the calculation. To be added.
- Method
  0.0.0.0
  System.Obsolete("Use static Multiply() method instead.")
  System.Void `` The scaling of the individual components. Scales this instance by the given parameter. To be added.
- Method
  0.0.0.0
  System.CLSCompliant(false)
  System.Obsolete("Use static Multiply() method instead.")
  System.Void `` The scaling of the individual components. Scales this instance by the given parameter. To be added.
- Method
  0.0.0.0
  System.Obsolete("Use static Multiply() method instead.")
  System.Void `` `` `` The scale of the X component. The scale of the Y component. The scale of the Z component. Scales the current Vector3d by the given amounts. To be added.
- Field
  0.0.0.0
  System.Int32 Defines the size of the Vector3d struct in bytes. To be added.
- Method
  0.0.0.0
  System.Obsolete("Use static Subtract() method instead.")
  System.Void `` Right operand. This parameter is only read from. Subtract the Vector passed as parameter from this instance. To be added.
- Method
  0.0.0.0
  System.CLSCompliant(false)
  System.Obsolete("Use static Subtract() method instead.")
  System.Void `` Right operand. This parameter is only read from. Subtract the Vector passed as parameter from this instance. To be added.
- Method
  0.0.0.0
  System.Obsolete("Use static Subtract() method instead.")
  MonoMac.OpenGL.Vector3d `` `` First operand Second operand Subtract one Vector from another Result of subtraction To be added.
- Method
  0.0.0.0
  System.Obsolete("Use static Subtract() method instead.")
  System.Void `` `` `` First operand Second operand Result of subtraction Subtract one Vector from another To be added.
- Method
  0.0.0.0
  MonoMac.OpenGL.Vector3d `` `` First operand Second operand Subtract one Vector from another Result of subtraction To be added.
- Method
  0.0.0.0
  System.Void `` `` `` First operand Second operand Result of subtraction Subtract one Vector from another To be added.
- Method
  0.0.0.0
  System.String Returns a System.String that represents the current Vector3. To be added.
- Method
  0.0.0.0
  MonoMac.OpenGL.Vector3d `` `` The vector to transform The desired transformation Transform a Vector by the given Matrix The transformed vector To be added.
- Method
  0.0.0.0
  MonoMac.OpenGL.Vector3d `` `` The vector to transform. The quaternion to rotate the vector by. Transforms a vector by a quaternion rotation. The result of the operation. To be added.
- Method
  0.0.0.0
  System.Void `` `` `` The vector to transform The desired transformation The transformed vector Transform a Vector by the given Matrix To be added.
- Method
  0.0.0.0
  System.Void `` `` `` The vector to transform. The quaternion to rotate the vector by. The result of the operation. Transforms a vector by a quaternion rotation. To be added.
- Method
  0.0.0.0
  MonoMac.OpenGL.Vector3d `` `` The normal to transform The desired transformation Transform a Normal by the given Matrix The transformed normal This calculates the inverse of the given matrix, use TransformNormalInverse if you already have the inverse to avoid this extra calculation
- Method
  0.0.0.0
  System.Void `` `` `` The normal to transform The desired transformation The transformed normal Transform a Normal by the given Matrix This calculates the inverse of the given matrix, use TransformNormalInverse if you already have the inverse to avoid this extra calculation
- Method
  0.0.0.0
  MonoMac.OpenGL.Vector3d `` `` The normal to transform The inverse of the desired transformation Transform a Normal by the (transpose of the) given Matrix The transformed normal This version doesn't calculate the inverse matrix. Use this version if you already have the inverse of the desired transform to hand
- Method
  0.0.0.0
  System.Void `` `` `` The normal to transform The inverse of the desired transformation The transformed normal Transform a Normal by the (transpose of the) given Matrix This version doesn't calculate the inverse matrix. Use this version if you already have the inverse of the desired transform to hand
- Method
  0.0.0.0
  MonoMac.OpenGL.Vector3d `` `` The vector to transform The desired transformation Transform a Vector3d by the given Matrix, and project the resulting Vector4 back to a Vector3 The transformed vector To be added.
- Method
  0.0.0.0
  System.Void `` `` `` The vector to transform The desired transformation The transformed vector Transform a Vector3d by the given Matrix, and project the resulting Vector4d back to a Vector3d To be added.
- Method
  0.0.0.0
  MonoMac.OpenGL.Vector3d `` `` The position to transform The desired transformation Transform a Position by the given Matrix The transformed position To be added.
- Method
  0.0.0.0
  System.Void `` `` `` The position to transform The desired transformation The transformed position Transform a Position by the given Matrix To be added.
- Method
  0.0.0.0
  MonoMac.OpenGL.Vector3d `` `` The vector to transform The desired transformation Transform a direction vector by the given Matrix Assumes the matrix has a bottom row of (0,0,0,1), that is the translation part is ignored. The transformed vector To be added.
- Method
  0.0.0.0
  System.Void `` `` `` The vector to transform The desired transformation The transformed vector Transform a direction vector by the given Matrix Assumes the matrix has a bottom row of (0,0,0,1), that is the translation part is ignored. To be added.
- Field
  0.0.0.0
  MonoMac.OpenGL.Vector3d Defines a unit-length Vector3d that points towards the X-axis. To be added.
- Field
  0.0.0.0
  MonoMac.OpenGL.Vector3d Defines a unit-length Vector3d that points towards the Y-axis. To be added.
- Field
  0.0.0.0
  MonoMac.OpenGL.Vector3d /// Defines a unit-length Vector3d that points towards the Z-axis. To be added.
- Field
  0.0.0.0
  System.Double The X component of the Vector3. To be added.
- Property
  0.0.0.0
  System.Xml.Serialization.XmlIgnore
  MonoMac.OpenGL.Vector2d Gets or sets an OpenTK.Vector2d with the X and Y components of this instance. To be added. To be added.
- Field
  0.0.0.0
  System.Double The Y component of the Vector3. To be added.
- Field
  0.0.0.0
  System.Double The Z component of the Vector3. To be added.
- Field
  0.0.0.0
  MonoMac.OpenGL.Vector3d Defines a zero-length Vector3. To be added.